Exported from my fork: https://github.com/xen0n/mozc, branch
gentoo-2.28.5029.102.

From: WANG Xuerui <xen0n@gentoo.org>
Date: Tue, 27 Aug 2024 16:44:13 +0800
Subject: [PATCH] fix build with abseil-cpp 20240116

Signed-off-by: WANG Xuerui <xen0n@gentoo.org>
--- a/src/base/absl.gyp
+++ b/src/base/absl.gyp
@@ -128,7 +128,7 @@
           'all_dependent_settings': {
             'link_settings': {
               'libraries': [
-                '-labsl_flags -labsl_flags_internal -labsl_synchronization -labsl_flags_reflection -labsl_flags_marshalling',
+                '-labsl_flags_internal -labsl_raw_hash_set -labsl_city -labsl_hash -labsl_low_level_hash -labsl_synchronization -labsl_flags_reflection -labsl_flags_marshalling',
               ],
             },
           },
@@ -178,7 +178,7 @@
           'all_dependent_settings': {
             'link_settings': {
               'libraries': [
-                '-labsl_flags_commandlineflag_internal -labsl_flags_usage -labsl_flags_usage_internal -labsl_flags_internal -labsl_flags -labsl_flags_private_handle_accessor -labsl_flags_program_name -labsl_flags_parse',
+                '-labsl_flags_commandlineflag_internal -labsl_flags_usage -labsl_flags_usage_internal -labsl_flags_internal -labsl_flags_private_handle_accessor -labsl_flags_program_name -labsl_flags_parse',
               ],
             },
           },
@@ -398,7 +398,7 @@
           'all_dependent_settings': {
             'link_settings': {
               'libraries': [
-                '-labsl_synchronization -labsl_flags -labsl_graphcycles_internal -labsl_string_view',
+                '-labsl_synchronization -labsl_graphcycles_internal -labsl_string_view',
               ],
             },
           },
--- a/src/dictionary/file/codec.cc
+++ b/src/dictionary/file/codec.cc
@@ -42,6 +42,10 @@
 #include "dictionary/file/codec_interface.h"
 #include "dictionary/file/codec_util.h"
 #include "dictionary/file/section.h"
+#if defined(ABSL_LTS_RELEASE_VERSION) && ABSL_LTS_RELEASE_VERSION >= 20240116
+// Abseil 20240116.0 needs explicit inclusion for StrCat
+#include "absl/strings/str_cat.h"
+#endif
 #include "absl/status/status.h"
 
 namespace mozc {
